> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Discover organisations by email domain

> Returns organisations that have at least one member with the same email domain



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml get /v1/organisations/discover
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/discover:
    get:
      tags:
        - Organisation
      summary: Discover organisations by email domain
      description: >-
        Returns organisations that have at least one member with the same email
        domain
      operationId: OrganisationController_discover
      parameters:
        - name: email
          required: true
          in: query
          description: Email address to search organisations by domain
          schema:
            format: email
            example: user@example.com
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrganisationDiscoverResult'
components:
  schemas:
    OrganisationDiscoverResult:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the organisation
          example: org_31XEcUshz1ymodA14HALnyP48g1
        name:
          type: string
          description: Name of the organisation
          example: Acme Healthcare
      required:
        - id
        - name

````